# Responses Object

> Source: https://truto.one/docs/api-reference/unified-forms-api/responses/

Schema for the `Responses` resource in **Unified Forms API**.

## Properties

- **`id`** _(string)_
  The unique identifier of the response.
- **`name`** _(string)_
  The name of the response.
- **`status`** _(string)_
  The status of the form response.
  Allowed: `initiated`, `completed`, `submitted`
- **`answers`** _(array<object>)_
  The answers submitted
  - **`field`** _(object)_
    - **`id`** _(string)_
      The field's unique identifier.
    - **`name`** _(string)_
      The field's name.
    - **`label`** _(string)_
      The field's label.
    - **`type`** _(string)_
      The field's type. If no clear mapping exists, then raw value is returned.
      Allowed: `statement`, `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file` (+5 more)
    - **`field_group`** _(object)_
      The field's group identifier. If present, the field is part of a group.
      - **`id`** _(string)_
        The field groups's identifier
      - **`name`** _(string)_
        The field groups's name
  - **`value`** _(string)_
    The value for the field submitted
- **`created_by`** _(object)_
  User who created the response.
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
- **`form`** _(object)_
  The form to which the response belongs.
  - **`id`** _(string)_
    The unique identifier of the form.
  - **`name`** _(string)_
    The name of the form.
- **`workspace`** _(object)_
  The workspace to which the response belongs.
  - **`id`** _(string)_
    The unique identifier of the workspace.
  - **`name`** _(string)_
    The name of the workspace.
- **`organization`** _(object)_
  The organization to which the response belongs.
  - **`id`** _(string)_
    The unique identifier of the organization.
  - **`name`** _(string)_
    The name of the organization.
- **`opened_at`** _(string)_
  The date and time when the form was opened.
- **`created_at`** _(string)_
  The date and time when the response was created.
- **`updated_at`** _(string)_
  The date and time when the response was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/forms/responses](/docs/api-reference/unified-forms-api/responses/list) — List Responses
- [GET /unified/forms/responses/{id}](/docs/api-reference/unified-forms-api/responses/get) — Get Responses
